--******************************************************************************************************************************
--* Licensed Materials - Property of IBM                                                                                       *
--* (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
--*                                                                                                                            *
--*US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
--******************************************************************************************************************************

set verify off

WHENEVER OSERROR EXIT
WHENEVER SQLERROR EXIT

DEFINE ORACLE_HOME='&1'
DEFINE ORACLE_SID='&2'
DEFINE CD='&3'
DEFINE sysPassword='&4'
DEFINE ORACLE_BASE='&5'
DEFINE DBA_USER='&6'
DEFINE DBA_PASSWORD='&7'
DEFINE NF_SCHEMA='&8'
DEFINE STAR_SCHEMA='&9'
DEFINE REP_USER='&10'
DEFINE ORA_CMD='&11'
DEFINE START_YEAR=&12
DEFINE END_YEAR=&13

DEFINE REP_PASSWD='&14'
DEFINE DATA_HOME='&15'
DEFINE CALM_SCHEMA='&16'
DEFINE RIASSET='&17'
DEFINE RISCHK='&18'
DEFINE CONNSTR='&19'

set echo &&ORA_CMD

--spool &&CD/logs/buildDW.log
spool '&&CD/logs/tbspace.log'
@'&&CD/work_spc/ddl/tbspace.sql'
spool off
spool '&&CD/logs/createUsers.log'
@'&&CD/work_spc/ddl/createUsers.sql'
spool off

spool '&&CD/logs/createCALMUsers.log'
@'&&CD/work_spc/ddl/createCALMUsers.sql'
spool off

connect &&DBA_USER/"&&DBA_PASSWORD"&&CONNSTR

spool '&&CD/logs/createSTGCFG.log'
@'&&CD/work_spc/ddl/createSTGCFG.ddl'
spool off
spool '&&CD/logs/createNF.log'
@'&&CD/work_spc/ddl/createNF.ddl'
spool off
spool '&&CD/logs/createRIASSET.log'
@'&&CD/work_spc/ddl/createRIASSET.ddl'
spool off
spool '&&CD/logs/createRISCHK.log'
@'&&CD/work_spc/ddl/createRISCHK.ddl'
spool off
spool '&&CD/logs/createSTAR.log'
@'&&CD/work_spc/ddl/createSTAR.ddl'
spool off
spool '&&CD/logs/createCALM.log'
@'&&CD/work_spc/ddl/createCALM.ddl'
spool off
spool '&&CD/logs/createSTARViews.log'
@'&&CD/work_spc/ddl/createSTARViews.ddl'
spool off
spool '&&CD/logs/createCALMViews.log'
@'&&CD/work_spc/ddl/createCALMViews.ddl'
spool off
spool '&&CD/logs/initCONFIG.log'
@'&&CD/work_spc/scripts/initCONFIG.sql'
spool off
spool '&&CD/logs/initNF.log'
@'&&CD/work_spc/scripts/initNF.sql'
spool off
spool '&&CD/logs/initRIASSET.log'
@'&&CD/work_spc/scripts/initRIASSET.sql'
spool off
spool '&&CD/logs/initRISCHK.log'
@'&&CD/work_spc/scripts/initRISCHK.sql'
spool off
spool '&&CD/logs/initSTAR.log'
@'&&CD/work_spc/scripts/initSTAR.sql'
spool off
spool '&&CD/logs/initCALM.log'
@'&&CD/work_spc/scripts/initCALM.sql'
spool off
spool '&&CD/logs/star_grants.log'
@'&&CD/work_spc/scripts/star_grants.sql'
spool off
spool '&&CD/logs/calm_grants.log'
@'&&CD/work_spc/scripts/calm_grants.sql'
spool off


--spool off
COMMIT;
EXIT;

