ALTER SESSION SET CURRENT_SCHEMA= CONFIG;

INSERT INTO SYSCONFIG_INFO(INFO_ID,NAME,DISPLAY_NAME,INT_VALUE,CHAR_VALUE) SELECT 16 AS INFO_ID,'CALM_VERSION' AS NAME,'CALM Warehouse Version' AS DISPLAY_NAME,1 AS INT_VALUE,'3.0.1' AS CHAR_VALUE FROM DUAL WHERE NOT EXISTS(SELECT INFO_ID FROM SYSCONFIG_INFO WHERE INFO_ID=16);

ALTER SESSION SET CURRENT_SCHEMA= RICALM;

CREATE TRIGGER TRG_REQUIATTRD AFTER UPDATE OF REC_DATETIME ON RIODS.REQUIREMENT FOR EACH ROW BEGIN DELETE FROM RQRMENT_ENUMERATION WHERE REQUIREMENT_ID=:NEW.REQUIREMENT_ID; END;
/

DROP INDEX RQRENUM_IDX1;

CREATE INDEX RQRENUM_IDX1 ON RQRMENT_ENUMERATION (REQUIREMENT_ID ASC, REQUIREMENT_ATTRDEF_ID ASC, PROJECT_ID ASC, EXTERNAL_ID ASC) REVERSE TABLESPACE VNF_IDX;

CREATE INDEX REQBASE_IDX3 ON REQUEST_BASELINE (REQUEST_HISTORY_ID ASC, REC_DATETIME ASC) REVERSE TABLESPACE VNF_IDX;

UPDATE RIODS.REQUEST_STATE SET EXTERNAL_ID = REPLACE(EXTERNAL_ID, '                 ', '');

UPDATE RIODS.REQUEST_TYPE SET EXTERNAL_ID = REPLACE(EXTERNAL_ID, '                 ', '');

UPDATE RIODS.REQUEST_PRIORITY SET EXTERNAL_ID = REPLACE(EXTERNAL_ID, '                 ', '');

UPDATE RIODS.REQUEST_SEVERITY SET EXTERNAL_ID = REPLACE(EXTERNAL_ID, '                 ', '');

UPDATE RIODS.REQUEST_RESOLUTION SET EXTERNAL_ID = REPLACE(EXTERNAL_ID, '                 ', '');

UPDATE CONFIG.SYSCONFIG_INFO SET CHAR_VALUE='3.0.1.1' WHERE INFO_ID=16;
