--******************************************************************************************************************************
--* Licensed Materials - Property of IBM                                                                                       *
--* (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
--*                                                                                                                            *
--*US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
--******************************************************************************************************************************

connect "SYS"/"&&sysPassword" as SYSDBA


CREATE USER &&CALM_SCHEMA  PROFILE DEFAULT 
    IDENTIFIED BY VALUES '0E25A26491AF10B9' PASSWORD EXPIRE DEFAULT TABLESPACE
    USERS 
    ACCOUNT LOCK;
GRANT SELECT ANY TABLE TO &&CALM_SCHEMA WITH ADMIN OPTION;

ALTER USER &&CALM_SCHEMA QUOTA UNLIMITED ON VNF_32K;
ALTER USER &&CALM_SCHEMA QUOTA UNLIMITED ON VNF_IDX;
ALTER USER &&CALM_SCHEMA QUOTA UNLIMITED ON USERS;
ALTER USER &&CALM_SCHEMA TEMPORARY TABLESPACE RIS_TEMP;
COMMIT;
