@ECHO off
rem ******************************************************************************************************************************
rem * Licensed Materials - Property of IBM                                                                                       *
rem * (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
rem *                                                                                                                            *
rem *US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
rem ******************************************************************************************************************************

IF NOT DEFINED LOCALE (SET LOCALE= )
SET LOCEN=0409
SET LOCIT=0410 
SET LOCJP=0411 
SET LOCKO=0412 
SET LOCPO=0415 
SET LOCCHS=0804
SET LOCCHT=0404
SET LOCDE=0407
SET LOCES=0C0A
SET LOCFR=040C
SET LOCFRCAN=0C0C
SET LOCPTBR=0416
SET LOCRU=0419
SET LOCHU=040E
SET LOCCS=0405

IF NOT DEFINED ORA_VERSION (SET ORA_VERSION= )
IF NOT DEFINED ORACLE_HOME (SET ORACLE_HOME= )
IF NOT DEFINED ORACLE_BASE (SET ORACLE_BASE= )
IF NOT DEFINED ORACLE_SID (SET ORACLE_SID= )
IF NOT DEFINED SYSPWD (SET SYSPWD= )
IF NOT DEFINED SYSTEMPWD (SET SYSTEMPWD= )
IF NOT DEFINED SYSMANPWD (SET SYSMANPWD= )
IF NOT DEFINED DBSNMPWD (SET DBSNMPWD= )
IF NOT DEFINED DBA_USER (SET DBA_USER= )
IF NOT DEFINED DBA_PASSWORD (SET DBA_PASSWORD= )
IF NOT DEFINED NF_SCHEMA (SET NF_SCHEMA= )
IF NOT DEFINED STAR_SCHEMA (SET STAR_SCHEMA= )
IF NOT DEFINED CALM_SCHEMA (SET CALM_SCHEMA= )
IF NOT DEFINED RIASSET_SCHEMA (SET RIASSET_SCHEMA= )
IF NOT DEFINED RISCHK_SCHEMA (SET RISCHK_SCHEMA= )
IF NOT DEFINED REP_USER (SET REP_USER= )
IF NOT DEFINED REP_PASSWD (SET REP_PASSWD= )
IF NOT DEFINED DATA_HOME (SET DATA_HOME= )
IF NOT DEFINED HOST_NAME (SET HOST_NAME= )
IF NOT DEFINED START_YEAR (SET START_YEAR= )
IF NOT DEFINED END_YEAR (SET END_YEAR= )
IF NOT DEFINED ORALEVEL (SET ORALEVEL= )

IF NOT DEFINED JAVA_HOME (SET JAVA_HOME= )

SET EXITCODE=0
SET MESSAGE= XXX 
SET ACTION= X

IF NOT EXIST set_env.bat (
                           SET EXITCODE=4597 
                           
                           GOTO done
                                    ) ELSE (                
                       call set_env.bat
                                  )



IF "%JAVA_HOME%" EQU " " (
SET EXITCODE= 4596 
GOTO done)  


SET CURDIR=%CD%

CD /d "%JAVA_HOME%\bin"
IF "%ERRORLEVEL%" EQU "1" (
SET EXITCODE=4596
GOTO done)

IF NOT EXIST java.exe (
SET EXITCODE= 4598
GOTO done   ) 

CD /d %CURDIR%

set path=%JAVA_HOME%\bin;%path%

REG QUERY "HKCU\Control Panel\International" /v Locale>locale.txt

java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCIT% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCIT%
call lang\it\messages.bat) 
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCJP% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCJP%
call lang\jp\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCKO% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCKO%
call lang\kr\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCPO% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCPO%
call lang\pl\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCCHS% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCCHS%
call lang\zh_CN\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCCHT% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCCHT%
call lang\zh_TW\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCEN% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCEN%
call lang\en\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCDE% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCDE%
call lang\de\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCES% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCES%
call lang\es\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCFR% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCFR%
call lang\fr\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCFRCAN% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCFRCAN%
call lang\fr\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCPTBR% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCPTBR%
call lang\pt_BR\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCRU% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCRU%
call lang\ru\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCHU% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCHU%
call lang\hu\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCCS% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCCS%
call lang\cs\messages.bat)
IF "%LOCALE%" EQU " " (
SET LOCALE=%LOCEN%
call lang\en\messages.bat)

IF "%1" EQU "-validate" (GOTO validate)




SET EXITCODE=0
SET MESSAGE=No errors
SET ACTION= 
SET /A FULL=1

SET /A SILENT=0
IF "%1" EQU "-silent" (
SET /A SILENT=1) 


SET ORA_CMD=
IF "%1" EQU "-debug" (SET ORA_CMD=ON ) ELSE (SET ORA_CMD=OFF )
IF "%2" NEQ "" (IF "%2" EQU "-debug" (SET ORA_CMD=ON) ELSE (SET ORA_CMD=OFF))


IF %SILENT% EQU 0 (
call parameters.bat
)

IF "%ORA_VERSION%" EQU " " (
SET MESSAGE=%CRRRDMSGE028%
SET EXITCODE=%CRRRD4528E%
GOTO done)

IF "%ORA_VERSION%" NEQ "1" (
IF "%ORA_VERSION%" NEQ "2" (
SET MESSAGE=%CRRRDMSGE029%
SET EXITCODE=%CRRRD4529E%
GOTO done))

IF "%ORACLE_HOME%" EQU " " (
SET MESSAGE=%CRRRDMSGE030%
SET EXITCODE=%CRRRD4530E%
GOTO done)

IF NOT EXIST "%ORACLE_HOME%"\bin (
SET MESSAGE=%CRRRDMSGE031%
SET EXITCODE=%CRRRD4531E%
GOTO done)

IF "%ORACLE_BASE%" EQU " " (
SET MESSAGE=%CRRRDMSGE032%
SET EXITCODE=%CRRRD4532E%
GOTO done)

IF NOT EXIST "%ORACLE_BASE%" (
SET MESSAGE=%CRRRDMSGE032%
SET EXITCODE=%CRRRD4532E%
GOTO done)

IF "%ORACLE_SID%" EQU " " ( 
SET MESSAGE=%CRRRDMSGE034%
SET EXITCODE=%CRRRD4534E%
GOTO done)

IF %SILENT% EQU 0 (
SET /P SYSPWD=%CRRRDPRMPT016%
)
IF "%SYSPWD%" EQU " " (
SET MESSAGE=%CRRRDMSGE035%
SET EXITCODE=%CRRRD4535E%
GOTO done)

IF %SILENT% EQU 0 (
SET /P SYSTEMPWD=%CRRRDPRMPT017%
)
IF "%SYSTEMPWD%" EQU " " (
SET MESSAGE=%CRRRDMSGE036%
SET EXITCODE=%CRRRD4536E%
GOTO done)

IF %SILENT% EQU 0 (
SET /P SYSMANPWD=%CRRRDPRMPT018%
)
IF "%SYSMANPWD%" EQU " " (
SET MESSAGE=%CRRRDMSGE037%
SET EXITCODE=%CRRRD4537E%
GOTO done)

IF %SILENT% EQU 0 (
SET /P DBSNMPWD=%CRRRDPRMPT019%
)
IF "%DBSNMPWD%" EQU " " (
SET MESSAGE=%CRRRDMSGE038%
SET EXITCODE=%CRRRD4538E%
GOTO done)

IF "%DBA_USER%" EQU " " (
SET MESSAGE=%CRRRDMSGE039%
SET EXITCODE=%CRRRD4539E%
GOTO done)

IF %SILENT% EQU 0 (
SET /P DBA_PASSWORD=%CRRRDPRMPT021%
)
IF "%DBA_PASSWORD%" EQU " " (
SET MESSAGE=%CRRRDMSGE040%
SET EXITCODE=%CRRRD4540E%
GOTO done)

IF "%NF_SCHEMA%" EQU " " (
SET MESSAGE=%CRRRDMSGE005%
SET EXITCODE=%CRRRD4505E%
GOTO done)

IF "%STAR_SCHEMA%" EQU " " (
SET MESSAGE=%CRRRDMSGE006%
SET EXITCODE=%CRRRD4506E%
GOTO done)

IF "%CALM_SCHEMA%" EQU " " (
SET EXITCODE=%CRRRD4607E%
SET MESSAGE=%CRRRDMSGE107%
GOTO done)

IF "%RIASSET_SCHEMA%" EQU " " (
SET EXITCODE=%CRRRD4610E%
SET MESSAGE=%CRRRDMSGE110%
GOTO done)

IF "%RISCHK_SCHEMA%" EQU " " (
SET EXITCODE=%CRRRD4615E%
SET MESSAGE=%CRRRDMSGE115%
GOTO done)

IF "%REP_USER%" EQU " " (
SET MESSAGE=%CRRRDMSGE007%
SET EXITCODE=%CRRRD4507E%
GOTO done)

IF %SILENT% EQU 0 (
SET /P REP_PASSWD=%CRRRDPRMPT022%
)
IF "%REP_PASSWD%" EQU " " (
SET MESSAGE=%CRRRDMSGE044%
SET EXITCODE=%CRRRD4544E%
GOTO done)

IF "%DATA_HOME%" EQU " " (
SET MESSAGE=%CRRRDMSGE008%
SET EXITCODE=%CRRRD4508E%
GOTO done)


SET HOST_NAME=%COMPUTERNAME%

IF "%START_YEAR%" EQU " " (
SET MESSAGE=%CRRRDMSGE009%
SET EXITCODE=%CRRRD4509E%
GOTO done)

IF "%END_YEAR%" EQU " " (
SET MESSAGE=%CRRRDMSGE010%
SET EXITCODE=%CRRRD4510E%
GOTO done)


)

IF %SILENT% EQU 1 (
SETLOCAL ENABLEDELAYEDEXPANSION
echo CONNECT ^&1^/^&2 >test.sql
echo SELECT COUNT^(*^) FROM CONFIG.ETL_INFO;>>test.sql
echo EXIT SQL.SQLCODE;>>test.sql
"%ORACLE_HOME%"\bin\sqlplus  /nolog @test.sql '%DBA_USER%' '"%DBA_PASSWORD%"'
IF "!ERRORLEVEL!" EQU "0" (
DEL /Q test.sql
GOTO done)
DEL /Q test.sql
)
SETLOCAL DISABLEDELAYEDEXPANSION


IF NOT EXIST work_spc\nul (MKDIR work_spc) ELSE (
RMDIR /S /Q work_spc
MKDIR work_spc
)
IF "%ERRORLEVEL%" NEQ "0" (
SET EXITCODE=%CRRRD4576E%
SET MESSAGE=%CRRRDMSGE076%
GOTO done)
IF NOT EXIST logs\nul (MKDIR logs) ELSE (
RMDIR /S /Q logs
MKDIR logs
)
IF "%ERRORLEVEL%" NEQ "0" (
SET EXITCODE=%CRRRD4576E%
SET MESSAGE=%CRRRDMSGE076%
GOTO done)
XCOPY /Y /I /E /Q createDB work_spc\createDB
IF %ERRORLEVEL% GTR 1 ( 
SET MESSAGE=%CRRRDMSGE024%
SET EXITCODE=%CRRRD4524E%
GOTO done)
XCOPY /Y /I /E /Q ddl work_spc\ddl
IF %ERRORLEVEL% GTR 1 ( 
SET MESSAGE=%CRRRDMSGE024%
SET EXITCODE=%CRRRD4524E%
GOTO done)
XCOPY /Y /I /E /Q scripts work_spc\scripts
IF %ERRORLEVEL% GTR 1 ( 
SET MESSAGE=%CRRRDMSGE024%
SET EXITCODE=%CRRRD4524E%
GOTO done)
COPY /Y buildDW.sql work_spc\buildDW.sql
IF %ERRORLEVEL% GTR 0 ( 
SET MESSAGE=%CRRRDMSGE024%
SET EXITCODE=%CRRRD4524E%
GOTO done)

IF "%1" EQU "-schema" (
SET /A FULL=0
GOTO schema)
IF "%2" NEQ "" (IF "%2" EQU "-schema" (
SET /A FULL=0
GOTO schema))

IF %FULL% EQU 1 (
IF EXIST "%ORACLE_BASE%"\admin\%ORACLE_SID% (
SET MESSAGE=%CRRRDMSGE053%
SET EXITCODE=%CRRRD4553E% 
SET ACTION=%CRRRDECH021%
GOTO done)

IF EXIST "%DATA_HOME%"\oradata\%ORACLE_SID% (
SET MESSAGE=%CRRRDMSGE053%
SET EXITCODE=%CRRRD4553E% 
SET ACTION=%CRRRDECH021%
GOTO done))



ECHO ORACLE_HOME:%ORACLE_HOME%>>logs\createDB.log 
ECHO ORACLE_BASE:%ORACLE_BASE%>>logs\createDB.log
ECHO ORACLE_SID:%ORACLE_SID%>>logs\createDB.log

IF NOT EXIST "%DATA_HOME%"\oradata\%ORACLE_SID%      mkdir "%DATA_HOME%"\oradata\%ORACLE_SID%
IF "%ERRORLEVEL%" NEQ "0" (
SET MESSAGE=%CRRRDMSGE058%
SET EXITCODE=%CRRRD4558E%
GOTO done)

IF NOT EXIST "%ORACLE_BASE%"\admin\%ORACLE_SID%\adump      mkdir "%ORACLE_BASE%"\admin\%ORACLE_SID%\adump
IF "%ERRORLEVEL%" NEQ "0" (
SET MESSAGE=%CRRRDMSGE059%
SET EXITCODE=%CRRRD4559E%
GOTO done)
IF NOT EXIST "%ORACLE_BASE%"\admin\%ORACLE_SID%\bdump      mkdir "%ORACLE_BASE%"\admin\%ORACLE_SID%\bdump
IF "%ERRORLEVEL%" NEQ "0" (
SET MESSAGE=%CRRRDMSGE060%
SET EXITCODE=%CRRRD4560E% 
GOTO done)
IF NOT EXIST "%ORACLE_BASE%"\admin\%ORACLE_SID%\cdump      mkdir "%ORACLE_BASE%"\admin\%ORACLE_SID%\cdump
IF "%ERRORLEVEL%" NEQ "0" (
SET MESSAGE=%CRRRDMSGE061%
SET EXITCODE=%CRRRD4561E% 
GOTO done)
IF NOT EXIST "%ORACLE_BASE%"\admin\%ORACLE_SID%\dpdump     mkdir "%ORACLE_BASE%"\admin\%ORACLE_SID%\dpdump
IF "%ERRORLEVEL%" NEQ "0" (
SET MESSAGE=%CRRRDMSGE062%
SET EXITCODE=%CRRRD4562E% 
GOTO done)
IF NOT EXIST "%ORACLE_BASE%"\admin\%ORACLE_SID%\pfile      mkdir "%ORACLE_BASE%"\admin\%ORACLE_SID%\pfile
IF "%ERRORLEVEL%" NEQ "0" (
SET MESSAGE=%CRRRDMSGE063%
SET EXITCODE=%CRRRD4563E% 
GOTO done)
IF NOT EXIST "%ORACLE_BASE%"\admin\%ORACLE_SID%\udump      mkdir "%ORACLE_BASE%"\admin\%ORACLE_SID%\udump
IF "%ERRORLEVEL%" NEQ "0" (
SET MESSAGE=%CRRRDMSGE064%
SET EXITCODE=%CRRRD4564E% 
GOTO done)
IF NOT EXIST "%ORACLE_HOME%"\cfgtoollogs\dbca\%ORACLE_SID% mkdir "%ORACLE_HOME%"\cfgtoollogs\dbca\%ORACLE_SID%
IF "%ERRORLEVEL%" NEQ "0" (
SET MESSAGE=%CRRRDMSGE065%
SET EXITCODE=%CRRRD4565E% 
GOTO done)
IF NOT EXIST "%ORACLE_HOME%"\dbs                      mkdir "%ORACLE_HOME%"\dbs
IF "%ERRORLEVEL%" NEQ "0" (
SET MESSAGE=%CRRRDMSGE066%
SET EXITCODE=%CRRRD4566E% 
GOTO done)
IF NOT EXIST "%ORACLE_BASE%"\flash_recovery_area      mkdir "%ORACLE_BASE%"\flash_recovery_area
IF "%ERRORLEVEL%" NEQ "0" (
SET MESSAGE=%CRRRDMSGE067%
SET EXITCODE=%CRRRD4567E% 
GOTO done)
IF NOT EXIST "%ORACLE_BASE%"\oradata\%ORACLE_SID%          mkdir "%ORACLE_BASE%"\oradata\%ORACLE_SID%
IF "%ERRORLEVEL%" NEQ "0" (
SET MESSAGE=%CRRRDMSGE068%
SET EXITCODE=%CRRRD4568E%  
GOTO done)

FOR /F "TOKENS=3" %%I IN ('"%ORACLE_HOME%"\bin\sqlplus -v') DO SET ORALEVEL=%%I


IF "%ORALEVEL:~0,5%" NEQ "11.1." (
IF "%ORALEVEL:~0,5%" NEQ "11.2." (
IF "%ORALEVEL:~0,5%" NEQ "10.2." ( 
IF "%ORALEVEL:~0,5%" NEQ "10.3." ( 
SET ORALEVEL=NONE)
)
)
)
IF %ORALEVEL% EQU NONE (
SET MESSAGE=%CRRRDMSGE029%
SET EXITCODE=%CRRRD4529E%
GOTO done)

IF "%ORA_VERSION%" EQU "1" (
call work_spc\createDB\init10.bat
call work_spc\createDB\initTemp10.bat
)
IF "%ORA_VERSION%" EQU "2" (
call work_spc\createDB\init.bat
call work_spc\createDB\initTemp.bat
)
"%ORACLE_HOME%"\bin\oradim.exe -new -sid %ORACLE_SID% -startmode manual -spfile >>logs\createDB.log
IF "%ERRORLEVEL%" NEQ "0" (
SET MESSAGE=%CRRRDMSGE069%
SET EXITCODE=%CRRRD4569E%
SET ACTION=%CRRRDECH003%
GOTO done)

"%ORACLE_HOME%"\bin\oradim.exe -edit -sid %ORACLE_SID% -startmode auto -srvcstart system>logs\createDBService.log
IF "%ERRORLEVEL%" NEQ "0" (
SET MESSAGE=%CRRRDMSGE069%
SET EXITCODE=%CRRRD4569E%
SET ACTION=%CRRRDECH020%
GOTO done)



"%ORACLE_HOME%"\bin\sqlplus /nolog @"%CD%"\work_spc\createDB\createDB.sql '"%ORACLE_HOME%"' %ORACLE_SID% '"%CD%"' '"%SYSPWD%"' '"%SYSTEMPWD%"' '"%SYSMANPWD%"' '"%DBSNMPWD%"' '"%ORACLE_BASE%"' %HOST_NAME% %ORA_CMD% %ORA_VERSION% database '"PWD%ORACLE_SID%.ora"'

:schema
IF %FULL% EQU 0 (
SET CONNST=^@%ORACLE_SID%
ECHO.>work_spc\ddl\tbspace.sql
ECHO.>work_spc\ddl\createUsers.sql) ELSE (SET CONNST= )
"%ORACLE_HOME%"\bin\sqlplus /nolog @"%CD%"\work_spc\buildDW.sql '"%ORACLE_HOME%"' %ORACLE_SID% '"%CD%"' '"%SYSPWD%"' '"%ORACLE_BASE%"' %DBA_USER% '"%DBA_PASSWORD%"' %NF_SCHEMA% %STAR_SCHEMA% %REP_USER%  %ORA_CMD% %START_YEAR% %END_YEAR%  '"%REP_PASSWD%"' '"%DATA_HOME%"' %CALM_SCHEMA% %RIASSET_SCHEMA% %RISCHK_SCHEMA% '%CONNST%'


java -Ddbms="Oracle" -Dalias="%ORACLE_SID%" -Dschema="%STAR_SCHEMA%" -Dstart="%START_YEAR%" -Dend="%END_YEAR%" com.ibm.rational.rcpr.dw.procedures.PopulateD_DATE>logs\populate-D_DATE.log

"%ORACLE_HOME%"\bin\sqlplus %DBA_USER%/%DBA_PASSWORD%%CONNST% @work_spc\scripts\initD_Date.sql
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace ORA- "%CD%"\logs\populate-D_DATE.log>nul
IF "%ERRORLEVEL%" EQU "1" (
SET MESSAGE=%CRRRDMSGE025%  
SET EXITCODE=%CRRRD4525E% 
SET ACTION=%CRRRDECH014%
GOTO done)

GOTO done

:validate

SET EXITCODE=0
SET MESSAGE=No errors

IF NOT DEFINED ORA_VERSION (
SET MESSAGE=%CRRRDMSGE028%
SET EXITCODE=%CRRRD4528E%
GOTO done)

IF "%ORA_VERSION%" NEQ "1" (
IF "%ORA_VERSION%" NEQ "2" (
SET MESSAGE=%CRRRDMSGE029%
SET EXITCODE=%CRRRD4529E%
GOTO done))


IF NOT DEFINED ORACLE_HOME (
SET ORACLE_HOME
SET MESSAGE=%CRRRDMSGE030%
SET EXITCODE=%CRRRD4530E%
GOTO done)

IF NOT EXIST "%ORACLE_HOME%"\bin (
SET MESSAGE=%CRRRDMSGE031%
SET EXITCODE=%CRRRD4531E%
GOTO done)


IF NOT DEFINED ORACLE_BASE (
SET MESSAGE=%CRRRDMSGE032%
SET EXITCODE=%CRRRD4532E%
GOTO done)

IF NOT EXIST "%ORACLE_BASE%" (
SET MESSAGE=%CRRRDMSGE032%
SET EXITCODE=%CRRRD4532E%
GOTO done)

IF NOT DEFINED ORACLE_SID (
SET MESSAGE=%CRRRDMSGE034%
SET EXITCODE=%CRRRD4534E%
GOTO done)

IF NOT DEFINED SYSPWD (
SET MESSAGE=%CRRRDMSGE035%
SET EXITCODE=%CRRRD4535E%
GOTO done)

IF NOT DEFINED SYSTEMPWD (
SET MESSAGE=%CRRRDMSGE036%
SET EXITCODE=%CRRRD4536E%
GOTO done)

IF NOT DEFINED SYSMANPWD (
SET MESSAGE=%CRRRDMSGE037%
SET EXITCODE=%CRRRD4537E%
GOTO done)

IF NOT DEFINED DBSNMPWD (
SET MESSAGE=%CRRRDMSGE038%
SET EXITCODE=%CRRRD4538E%
GOTO done)

IF NOT DEFINED DBA_USER (
SET MESSAGE=%CRRRDMSGE039%
SET EXITCODE=%CRRRD4539E%
GOTO done)

IF NOT DEFINED DBA_PASSWORD (
SET MESSAGE=%CRRRDMSGE040%
SET EXITCODE=%CRRRD4540E%
GOTO done)

IF NOT DEFINED NF_SCHEMA (
SET EXITCODE=%CRRRD4505E%
SET MESSAGE=%CRRRDMSGE005%
GOTO done)

IF NOT DEFINED STAR_SCHEMA (
SET EXITCODE=%CRRRD4506E%
SET MESSAGE=%CRRRDMSGE006%
GOTO done)

IF NOT DEFINED REP_USER (
SET EXITCODE=%CRRRD4507E%
SET MESSAGE=%CRRRDMSGE007%
GOTO done)

IF NOT DEFINED REP_PASSWD (
SET MESSAGE=%CRRRDMSGE044%
SET EXITCODE=%CRRRD4544E%
GOTO done)

IF NOT DEFINED DATA_HOME (
SET EXITCODE=%CRRRD4508E%
SET MESSAGE=%CRRRDMSGE008%
GOTO done)

IF NOT DEFINED START_YEAR  (
SET EXITCODE=%CRRRD4509E%
SET MESSAGE=%CRRRDMSGE009%
GOTO done)


IF NOT DEFINED END_YEAR (
SET EXITCODE=%CRRRD4510E%
SET MESSAGE=%CRRRDMSGE010%
GOTO done)



REG QUERY "HKCU\Control Panel\International" /v Locale>nul
IF "%ERRORLEVEL%" NEQ "0" (
SET EXITCODE=%CRRRD4585E%
SET MESSAGE=%CRRRDMSGE085%
GOTO done
)

IF "%ORA_VERSION%" EQU " " (
SET MESSAGE=%CRRRDMSGE028%
SET EXITCODE=%CRRRD4528E%
GOTO done)

IF "%ORACLE_HOME%" EQU " " (
SET MESSAGE=%CRRRDMSGE030%
SET EXITCODE=%CRRRD4530E%
GOTO done)

IF "%ORACLE_BASE%" EQU " " (
SET MESSAGE=%CRRRDMSGE032%
SET EXITCODE=%CRRRD4532E%
GOTO done)

IF "%ORACLE_SID%" EQU " " ( 
SET MESSAGE=%CRRRDMSGE034%
SET EXITCODE=%CRRRD4534E%
GOTO done)

IF "%SYSPWD%" EQU " " (
SET MESSAGE=%CRRRDMSGE035%
SET EXITCODE=%CRRRD4535E%
GOTO done)

IF "%SYSTEMPWD%" EQU " " (
SET MESSAGE=%CRRRDMSGE036%
SET EXITCODE=%CRRRD4536E%
GOTO done)

IF "%SYSMANPWD%" EQU " " (
SET MESSAGE=%CRRRDMSGE037%
SET EXITCODE=%CRRRD4537E%
GOTO done)

IF "%DBSNMPWD%" EQU " " (
SET MESSAGE=%CRRRDMSGE038%
SET EXITCODE=%CRRRD4538E%
GOTO done)

IF "%DBA_USER%" EQU " " (
SET MESSAGE=%CRRRDMSGE039%
SET EXITCODE=%CRRRD4539E%
GOTO done)

IF "%DBA_PASSWORD%" EQU " " (
SET MESSAGE=%CRRRDMSGE040%
SET EXITCODE=%CRRRD4540E%
GOTO done)

IF "%NF_SCHEMA%" EQU " " (
SET EXITCODE=%CRRRD4505E%
SET MESSAGE=%CRRRDMSGE005%
GOTO done)

IF "%STAR_SCHEMA%" EQU " " (
SET EXITCODE=%CRRRD4506E%
SET MESSAGE=%CRRRDMSGE006%
GOTO done)

IF "%REP_USER%" EQU " " (
SET EXITCODE=%CRRRD4507E%
SET MESSAGE=%CRRRDMSGE007%
GOTO done)

IF "%REP_PASSWD%" EQU " " (
SET MESSAGE=%CRRRDMSGE044%
SET EXITCODE=%CRRRD4544E%
GOTO done)

IF "%DATA_HOME%" EQU " " (
SET EXITCODE=%CRRRD4508E%
SET MESSAGE=%CRRRDMSGE008%
GOTO done)


IF "%START_YEAR%" EQU " " (
SET EXITCODE=%CRRRD4509E%
SET MESSAGE=%CRRRDMSGE009%
GOTO done)


IF "%END_YEAR%" EQU " " (
SET EXITCODE=%CRRRD4510E%
SET MESSAGE=%CRRRDMSGE010%
GOTO done)










GOTO done


:done 
echo %MESSAGE%.%ACTION%:%EXITCODE%
echo %CRRRDECH002%
EXIT /B %EXITCODE%